Profiles
Profile List
Query and search profiles.
GET
Query and search profiles.
cookie
storyden-session<token>q?stringSearch query string.
Length
0 <= lengthpage?stringPagination query parameters.
sort?stringProfiles sort by query
roles?array<>Profiles role filter query
joined?stringProfiles join range query
Format
iso8601-intervalinvited_by?array<>Profiles invited by query (account handles)
OK
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integerprofiles*array<>curl -X GET 'https://example.com/api/profiles'Example Response
{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "profiles": [ { "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "createdAt": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "roles": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ], "meta": {}, "badge": true, "default": true } ], "bio": "string", "signature": "string", "image": "string", "followers": 0, "following": 0, "like_score": 0, "interests": [ { "name": "string", "colour": "string", "item_count": 0 } ], "links": [ { "text": "string", "url": "string" } ], "invited_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "meta": {} } ]}